[Overview][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'LazHelpIntf' (#lcl)

# THelpQueryItem.AsString

Specifies the interface used get a help query as a String value.

## Declaration

Source position: lazhelpintf.pas line 39

`public function THelpQueryItem.AsString: string; virtual; abstract;`

## Function result

String representation for the help query item.

## Description

AsString is an abstract virtual String function which specifies the interface used get a help query item as a String value. AsString must be implemented in a descendent class to perform the actions needed to convert the query item to a String value.

## See also

TPascalHelpContextList |  | Implements a list for Pascal help contexts.